Not signed in (Sign In)

Vanilla 1.1.4 is a product of Lussumo. More Information: Documentation, Community Support.

    • CommentAuthorDaanyaalS
    • CommentTimeDec 10th 2017
     
    I've tried importing many different versions of Numpy none of which seem to work.
    Does anyone have a whl file for a version of Numpy that is compatible.
    Thanks in advance.
    Bellow is the error I get executing any macro that makes use of numpy.

    Importing the multiarray numpy extension module failed. Most
    likely you are trying to import a failed build of numpy.
    If you're working with a numpy git repo, try `git clean -xdf` (removes all
    files not under version control). Otherwise reinstall numpy.

    Original error was: cannot import name 'multiarray'
    • CommentAuthorMatthias
    • CommentTimeDec 10th 2017
     

    Hi,

    are you using Windows?

    On Linux, usually it's sufficient to add the specific package to make it available for KLayout too.

    On Windows, things are a bit more complicated. On Windows, you'll need a binary builds that are compatible with the host interpreter. There are various compilers and runtime systems, so you need to find the fitting one.

    The standard binary is built with MSYS2, so if you install this plus the NumPy package, you may be able to use it with KLayout too.

    Matthias

    • CommentAuthorlukasc
    • CommentTimeDec 13th 2017
     

    Hi Daanyaal,

    On CentOS-7 the following worked for me:

    • install Python pip
    • python -m pip install --user numpy

    This installed numpy-1.13.3. Then in KLayout, no problem running "import numpy" and numpy commands.